name: Bug Report
about: File a bug report
title: "[Cog Name] "
labels: [bug]
ref: master
body:
  - type: markdown
    attributes:
      value: |
        Thank you for taking the time to fill out this bug report!
  - type: checkboxes
    id: confirmation
    attributes:
      label: Please confirm that;
      options:
        - label: I have checked that this bug does not already have an opened/closed [issue](https://www.coastalcommits.com/SeaswimmerTheFsh/SeaCogs/issues) or [pull request](https://www.coastalcommits.com/SeaswimmerTheFsh/SeaCogs/pulls) associated with it.
          required: true
        - label: I have checked that I am on the latest version of [Red-DiscordBot](https://github.com/CogCreators/Red-DiscordBot), and SeaCogs.
          required: true
  - type: input
    id: hosting
    attributes:
      label: Hosting
      description: How is your bot hosted?
      placeholder: Local, Docker, etc.
    validations:
      required: true
  - type: textarea
    id: what-happened
    attributes:
      label: What happened?
      description: Also, what did you expect to happen?
      placeholder: A bug happened!
    validations:
      required: true
  - type: textarea
    id: reproduction
    attributes:
      label: Reproduction steps
      description: Please provide detailed steps to reproduce the bug.
      placeholder: |
        1. Do this
        2. Do that
        3. Do this other thing
        4. Bug happens!
    validations:
      required: false
  - type: textarea
    id: logs
    attributes:
      label: Relevant traceback or logs
      description: Please copy and paste any relevant tracebacks or log output. This will be automatically formatted into code, so no need for backticks.
      render: py
    validations:
      required: false
